IborLeg Class Reference

helper class building a sequence of capped/floored ibor-rate coupons More...

`#include <ql/cashflows/iborcoupon.hpp>`

## Public Member Functions

| IborLeg (const Schedule &schedule, const ext::shared_ptr< IborIndex > &index)
IborLeg & | withNotionals (Real notional)
IborLeg & | withNotionals (const std::vector< Real > &notionals)
IborLeg & | withPaymentDayCounter (const DayCounter &)
IborLeg & | withPaymentAdjustment (BusinessDayConvention)
IborLeg & | withPaymentLag (Natural lag)
IborLeg & | withPaymentCalendar (const Calendar &)
IborLeg & | withFixingDays (Natural fixingDays)
IborLeg & | withFixingDays (const std::vector< Natural > &fixingDays)
IborLeg & | withGearings (Real gearing)
IborLeg & | withGearings (const std::vector< Real > &gearings)
IborLeg & | withSpreads (Spread spread)
IborLeg & | withSpreads (const std::vector< Spread > &spreads)
IborLeg & | withCaps (Rate cap)
IborLeg & | withCaps (const std::vector< Rate > &caps)
IborLeg & | withFloors (Rate floor)
IborLeg & | withFloors (const std::vector< Rate > &floors)
IborLeg & | inArrears (bool flag=true)
IborLeg & | withZeroPayments (bool flag=true)
IborLeg & | withExCouponPeriod (const Period &, const Calendar &, BusinessDayConvention, bool endOfMonth=false)
| operator Leg () const

## Detailed Description

helper class building a sequence of capped/floored ibor-rate coupons